# Below are the guidelines/instructions for editing this database file.
# Note 1: User should turn of the BT, before updating this database file.
# Note 2: Maximum length of the line should not be more than 1023 characters.
# Note 3: Line started with the # is treated as comments.
# Note 4: Comment lines in between the entries are not allowed.
# Note 5: All duplicated entries including main BL types will be ignored.
#
#1. Below are the four tags for blacklist
#   A. Address_Based   C. Manufacturer_based
#   B. Name_Based      D. Vndr_Prdt_Based
#   E. SSR_Max_Lat_Based
##
#   A. Address_Based :  This tag refers to Address based blacklist
#   Input Type       :   Input value should be only 3 to 6 bytes of BD address
#   Format Type      :   Address should be in XX:XX:XX format
#   Examples         :   00:01:03 = Address_Based
###
#   B. Name_Based :   This tag refers to Name based blacklist.
#   Input type    :   Input should be only string and length of the string
#                     should not be more than 248 characters.
#   Format Type   :   string
#   Examples      :   Sample Headset name = Name_Based
####
#   C. Manufacturer_Based :  This tag refers to Manufacturer based blacklist
#   Input type  : Input should be in Hexadecimal Number of Manufacturer
#   Format Type : 2 Bytes Hexadecimal Value
#   Examples    : 0X0023 = Manufacturer_Based
#####
#   D. Vndr_Prdt_Based : This tag refers to vendor and product based blacklist
#   Input type  : Input should be in Hexadecimal value
#   Format Type : 4 bytes hex value( 2bytes of vendor  and 2 bytes of product),
#                 Vendor and product hex values should be separated with delimiter(-).
#   Examples    : 0X00AB-0X00BC = Vndr_Prdt_Based
#####
#   E. SSR_Max_Lat_Based : This tag refers to SSR Max LAtency based blacklist
#   Input type  : Input value should be combination of first 3 bytes of BD address and
#                 Hexadecimal value of SSR Max Latency
#   Format Type : Address should be in XX:XX:XX format followed by 2 bytes hex value
#                 of max latency Address and Max Latency should be separated with delimiter(-).
#   Examples    : 00:01:03-0X00AB = SSR_Max_Lat_Based
# ******************************* Start of Blacklist Database ********************************
#Disable secure connections
#This is for pre BT 4.1/2 devices that do not handle secure mode very well.
[VivoDisLeSecureConnBlacklist]
08:62:66 = Address_Based
38:2C:4A:C9 = Address_Based
38:2C:4A:E6 = Address_Based
54:A0:50:D9 = Address_Based
AC:9E:17 = Address_Based
F0:79:59 = Address_Based
80:E4:DA:70 = Address_Based
1C:96:5A = Address_Based
80:EA:CA = Address_Based
51:01:00 = Address_Based
61:01:00 = Address_Based

# Some devices have proven problematic during the pairing process, often
# requiring multiple retries to complete pairing. To avoid degrading the user
# experience for those devices, automatically re-try pairing if page
# timeouts are received during pairing.
[VivoAutoRetryPairBlacklist]
9C:DF:03 = Address_Based

# Devices requiring this workaround do not handle Bluetooth Absolute Volume
# control correctly, leading to undesirable (potentially harmful) volume levels
# or general lack of controlability.
[VivoDisAbsoluteVolBlacklist]
A0:E9:DB = Address_Based
00:14:02 = Address_Based
1C:48:F9 = Address_Based
44:5E:F3 = Address_Based
D4:9C:28 = Address_Based
00:18:6B = Address_Based
B8:AD:3E = Address_Based
00:11:B1 = Address_Based
A4:15:66 = Address_Based
00:14:F1 = Address_Based
00:26:7E = Address_Based
90:03:B7 = Address_Based
04:F8:C2 = Address_Based
00:18:91 = Address_Based
00:24:1C = Address_Based

# Disable automatic pairing with headsets/car-kits
# Some car kits do not react kindly to a failed pairing attempt and
# do not allow immediate re-pairing. Blacklist these so that the initial
# pairing attempt makes it to the user instead
[VivoDisableAutoPairBlcaklist]
34:C7:31 = Address_Based
00:07:04 = Address_Based
E0:75:0A = Address_Based
Audi = Name_Based
BMW = Name_Based
Parrot = Name_Based
Car = Name_Based
NISSAN = Name_Based

# Use a fixed pin for specific keyboards
# Keyboards should use a variable pin at all times. However, some keyboards
# require a fixed pin of all 0000. This workaround enables auto pairing for
# those keyboards.
[VivoKeyboradReqFixPINBlacklist]
00:0F:F6 = Address_Based

# Some headsets have audio jitter issues because of increased re-transmissions as the
# 3 Mbps packets have a lower link margin, and are more prone to interference. We can
# disable 3DH packets (use only 2DH packets) for the ACL link to improve sensitivity
# when streaming A2DP audio to the headset. Air sniffer logs show reduced
# re-transmissions after switching to 2DH packets.
# Disable 3Mbps packets and use only 2Mbps packets for ACL links when streaming audio.
[Vivo2MBPSLinkOnlyBlacklist]
00:18:91 = Address_Based
00:21:4F = Address_Based
20:15:06 = Address_Based
9C:DF:03 = Address_Based
04:52:C7 = Address_Based
30:14:4A = Address_Based
00:54:AF = Address_Based

# Some HID devices have proven problematic behaviour if SDP is initiated again
# while HID connection is in progress or if more than 1 SDP connection is created
# with those HID devices rsulting in issues of connection failure with such devices.
# To avoid degrading the user experience with those devices, SDP is not attempted
# as part of pairing process.
[VivoDisableSDPAfterPairBlacklist]
04:0C:CE = Address_Based
00:07:61 = Address_Based
00:1D:D8 = Address_Based
00:1F:20 = Address_Based
6C:5D:63 = Address_Based
28:18:78 = Address_Based
60:45:BD = Address_Based
58:71:33 = Address_Based
00:90:E1 = Address_Based
00:1B:DC = Address_Based
C4:7D:CC = Address_Based
Apple Magic Mouse = Name_Based
Bluetooth Laser Travel Mouse = Name_Based
Microsoft Bluetooth Notebook Mouse 5000 = Name_Based
Logitech MX Revolution Mouse = Name_Based
Microsoft Sculpt Touch Mouse = Name_Based
Tero's Game Controller = Name_Based
0x004C = Manufacturer_Based

# Some HID pointing devices have proven problematic behaviour if pairing is initiated with
# them, resulting in no response for authentication request and ultimately resulting
# in connection failure.
# To avoid degrading the user experience with those devices, authentication request
# is not requested explictly.
[VivoDisableAuthForHIDPointBlacklist]
00:12:A1 = Address_Based
Targus BT Laser Notebook Mouse = Name_Based

# HID Keyboards that claim support for multitouch functionality have issue with
# normal functioning of keyboard because of issues in USB HID kernel driver.
# To avoid degrading the user experience with those devices, digitizer record
# is removed from the report descriptor.
[VivoRemoveHIDDigDescriptorBlacklist]
Motorola Keyboard KZ500 = Name_Based
Motorola Keyboard KZ500 v122 = Name_Based
0x22b8-0x093D = Vndr_Prdt_Based

# Some HID devices have problematic behaviour where when hid link is in Sniff
# and DUT is in Slave role for SCO link ( not eSCO) any solution cannot maintain
# the link as  SCO scheduling over a short period will overlap with Sniff link due to
# slave drift.
# To avoid degrading the user experience with those devices, sniff is disabled from
# link policy when sco is active, and enabled when sco is disabled.
[VivoDisableSniffDurSCOBlacklist]
20:4C:10 = Address_Based
0x004C = Manufacturer_Based

# Few carkits take long time to start sending AT commands
# Increase AG_CONN TIMEOUT so that AG connection go through
[VivoIncAGConnTimeoutBlacklist]
00:14:09 = Address_Based

# Some HOGP devices do not respond well when we switch from default LE conn parameters
# to preferred conn params immediately post connection. Disable automatic switching to
# preferred conn params for such devices and allow them to explicity ask for it.
[VivoDisableLEConnPreParamsBlacklis]
BSMBB09DS = Name_Based
ELECOM = Name_Based

# Few remote devices do not understand AVRCP version greater than 1.3. For these
# devices, we would like to blacklist them and advertise AVRCP version as 1.3
[VivoADVAVRCP13Blacklist]
A0:56:B2 = Address_Based

# Fallback to AVRCP version 1.4 for remote to initiate browse connection
[VivoStroeRemoteAvrcp14Blacklist]
00:02:5B:4A = Address_Based

# Disable role switch for headsets/car-kits
# Some car kits allow role switch but when DUT initiates role switch
# Remote will go to bad state and its leads to LMP time out.
[VivoDisableRoleSwitchBlacklist]
FC:C2:DE = Address_Based
00:26:B4 = Address_Based
00:04:3E = Address_Based
00:23:01 = Address_Based
1C:48:F9 = Address_Based
00:54:AF = Address_Based
00:26:E8 = Address_Based
00:37:6D = Address_Based
9C:3A:AF = Address_Based
00:18:91 = Address_Based
0C:E0:E4 = Address_Based
00:07:04 = Address_Based
A4:15:66 = Address_Based
D0:13:1E = Address_Based
8F:20:B4 = Address_Based
A8:B9:B3 = Address_Based
00:0D:F0 = Address_Based
00:08:E0 = Address_Based
00:25:52 = Address_Based
1C:52:16 = Address_Based
00:06:66 = Address_Based
00:24:E4 = address_Based
AC:FD:CE = Address_Based
00:1C:D8 = Address_Based

# Disable role switch policy for headsets/car-kits
# Some car kits initiate a role switch but won't initiate encryption
# after role switch complete
[VivoDisableRoleSwitchPolicyBlacklist]
00:0D:FD = Address_Based
00:1B:DC = Address_Based
00:07:04 = Address_Based
A4:15:66 = Address_Based
00:54:AF = Address_Based

# certain remote A2DP sinks have issue playing back Music in AAC format.
# disable AAC for those headsets so that it switch to SBC
# 1. byte alignment issues with encoder (solo3::20:3c:ae,airpods::4c:32:75)
# 2. remote sending 128 instead of 128k as bitrate (cadillac::28:a1:83, Chevrolet Tahoe,
#    buick_verona::ac:7a:4d, maruti_brezzai:28:a1:83,cadillac cue::e0:75:0a)
# 3. remote supporting only 44.1Khz (BIG-JAM-BOX::00-21-3c,JVC CK::00:1D:86,BMW CK::9C:DF:03)
[VivoDisableAACCodecBlacklist]
AC:7A:4D = Address_Based
28:A1:83 = Address_Based
A0:14:3D = Address_Based
90:03:B7 = Address_Based
00:21:3c = Address_Based
9C:DF:03 = Address_Based
E0:75:0A = Address_Based
48:F0:7B = Address_Based
04:52:C7 = Address_Based

#Enable AAC encoder only for whitelist devices
# minijambox(e0:d1:e6)
# Lg hbsA100/1100(b8-ad-3e), lg hbs730(00:18:6b)
# Beats solo3(20:3c:ae), airpods(4c:32:75)
# Parrot zik1(90:03:b7)>zik1 works,but tesla has same address & has reboot issues
# OPPO (iLike 00:14:07)
# Nokia Purity Pro(94:20:53)
# Astell&Kern XB10(88:E6:03)
# Plantronics BackbeatPrp+(0C:E0:E4)
[VivoEnableAACCodecBlacklist]
e0:d1:e6 = Address_Based
b8:ad:3e = Address_Based
00:18:6b = Address_Based
20:3c:ae = Address_Based
4c:32:75 = Address_Based
00:14:07 = Address_Based
94:20:53 = Address_Based
88:E6:03 = Address_Based
0C:E0:E4 = Address_Based
60:f4:45 = Address_Based

# Devices requiring this workaround do not handle Bluetooth PBAP 1.2
# version correctly, leading them to go in bad state. So for better
# interoperability respond with PBAP 1.1 as supported version.
[VivoADVPBAP11Blacklist]
00:00:7f = Address_Based
00:00:31 = Address_Based
00:00:41 = Address_Based
00:00:6a = Address_Based
00:01:0a = Address_Based
00:00:3d = Address_Based
00:17:53 = Address_Based
Discovery Sport = Name_Based
Jaguar XE = Name_Based
Elantra = Name_Based

# Honor remote avdtp start, certain carkits send avdt_start along with avrcp
# passthrough cmd. If DUT suspends remote start and initiate avdtp start, remote
# suspends DUT's start request. So honor remote start for certain devices.
[VivoRemoteAvdtpStartBlacklist]
bc:30:7e = Address_Based
a4:08:ea = Address_Based
Audi = Name_Based
Porsche = Name_Based

# Devices requiring this workaround do not handle SSR max latency values as mentioned,
# in their SDP HID Record properly and lead to connection timeout or lags. To prevent
# such scenarios, device requiring this workaorund need to use specific ssr max latency
# values.
[VivoUpdateHIDSsrMaxLafBlacklist]
00:1B:DC-0x0012 = SSR_Max_Lat_Based
DC:2C:26-0x0000 = SSR_Max_Lat_Based
54:46:6B-0x0001 = SSR_Max_Lat_Based

#Some device reports support for hf indicator, but it's HFP version as 1.5. The
#behaviour violates spec and shall cause problem when DUT support HFP1.7, thus
#blacklisting such devices and remove remote's hf indicator bit if not support HFP1.7.
[VivoDisableHFIndicatorBlacklist]
98:7b:f3 = Address_Based

# When connection fails due to collision, DUT will reconnect A2dp
# every 2s till it succeeds. But some remotes will refuse reconnection
# from DUT, thus increase this collision timeout.
[VivoIncreaseCollDetectTimeoutBlacklist]
00:0d:18 = Address_Based
#Ensure that call active indicator is sent prior to SCO connection
#request by adding some delay. Some remotes are very strict in the
#order of call indicator and SCO connection request.
#1 04:52:c7 - Bose Mini II sound link
[VivoDelaySCOForMTCallBlacklist]
04:52:c7 = Address_Based

# Some remotes ara taking longer to respond to +BCS during codec negotiation.
# Disable codec negotiation and directly initiate SCO connection for those.
# 1. M12 - 00:08:8a:f0:1d:8a
[VivoDisableCodeNegotiationBlacklist]
00:08:8a = Address_Based
JABRA EASYGO = Name_Based

# Disallow sending Player Application Setting Commands for some CK as they are unable
# to send Passthrough Command while Streaming is in progress
[VivoDisablePlayerApplicationSettingCmdsBlacklist]
00:09:93 = Address_Based

[VivoDisableConnectionAfterCollisionblacklist]
A0:14:3D

# Do not use supervision timeout value received from preferred connection
# parameters, use 3s instead. Use with HID only.
[VivoHIDFreeConnSupTimeout3SBlacklist]
08:62:66 = Address_Based
38:2C:4A:C9 = Address_Based
38:2C:4A:E6 = Address_Based
54:A0:50:D9 = Address_Based
AC:9E:17 = Address_Based
F0:79:59 = Address_Based

# Do not use AVDTP RECONFIGURE when reconfiguring A2DP streams.
# Some A2DP Sink devices report SUCCESS to the AVDTP RECONFIGURE command,
# but fail to play the reconfigured audio stream.
[VivoDisableAvdtpReconfigureBlacklist]
00:1D:86 =  Address_Based
KMM-BT51*HD = Name_Based

[VivoGattcNoServiceChangedIndBlacklist]
Pixel C Keyboard = Name_Based

#Some LE devices have proven problematic behaviour if LE connection update is initiated with
#them, resulting in no response after initiating LE connection update and ultimately resulting
#in connection timeout. To avoid degrading the user experience with those devices,
#LE connection update is not requested explictly for those devices.
[VivoDisableLeConnUpdates]
LG Lighting = Name_Based
KS_5w4Zu = Name_Based
ZUK = Name_Based
ITAG = Name_Based
Pokemon GO Plus = Name_Based
